Subject: Help?
From: "Mike" <[email-masked]>
To: "Jason Davis" <[email-masked]>, "David Lynch" <[email-masked]>
Date: Fri, 30 Nov 2007 17:22:31 -0500

I was on hold for the longest time today.  We are still having a reoccurring error with certain cards.  It generally happens when we are trying to re-enter cards or if there are multiple locations. I was working with a supervisor named Keith.  I am still waiting for a call back.  I just called again and they are putting another "Urgent" note on the ticket.  Got any suggestions on how we can speed up this process?
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]